#include <iostream>
#include <vector>
#include <algorithm>

using namespace std;

int main()
{
    int n, l;

    cin >> n >> l;

    int stalaktiti[n];

    for(int i=0; i<n; i++){
       cin >> stalaktiti[i];
    };

    int rez = -1;

    for(int i=0; i<n; i++){
       if(l >= stalaktiti[i]){
          rez = i+1;
          break;
       };
    };

    cout << rez << endl;

    return 0;
}